function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, JoinColumn, Column, ManyToOne } from "typeorm";
import { User } from "./user.js";
import { id } from "../id.js";
export let VerifiedBadgeRequest = class VerifiedBadgeRequest {
    id;
    createdAt;
    resolvedAt;
    userId;
    user;
    resolverId;
    resolver;
    status;
    comment;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], VerifiedBadgeRequest.prototype, "id", void 0);
_ts_decorate([
    Index(),
    Column("timestamp with time zone", {
        comment: "The created date of the VerifiedBadgeRequest."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], VerifiedBadgeRequest.prototype, "createdAt", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], VerifiedBadgeRequest.prototype, "resolvedAt", void 0);
_ts_decorate([
    Index(),
    Column(id()),
    _ts_metadata("design:type", Object)
], VerifiedBadgeRequest.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], VerifiedBadgeRequest.prototype, "user", void 0);
_ts_decorate([
    Column({
        ...id(),
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], VerifiedBadgeRequest.prototype, "resolverId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "SET NULL"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], VerifiedBadgeRequest.prototype, "resolver", void 0);
_ts_decorate([
    Index(),
    Column("varchar", {
        length: 16,
        default: "pending"
    }),
    _ts_metadata("design:type", String)
], VerifiedBadgeRequest.prototype, "status", void 0);
_ts_decorate([
    Column("varchar", {
        length: 2048,
        default: ""
    }),
    _ts_metadata("design:type", String)
], VerifiedBadgeRequest.prototype, "comment", void 0);
VerifiedBadgeRequest = _ts_decorate([
    Entity()
], VerifiedBadgeRequest);
